How To Install FreePBX 15 On Ubuntu 18.0410 min read

You may also like...

Subscribe
Notify of
guest
18 Comments
Oldest
Newest Most Voted
Inline Feedbacks
View all comments
watoan
watoan
October 4, 2019 4:20 am

Error when you run the command “dpkg -i mariadb-connector-odbc_3.0.7-1_amd64.deb” even in your video, how to fix that please?

Jude
Jude
Reply to  watoan
October 6, 2019 12:31 am

I also got an error after all did and done …..the error I got was apache could not start on this server

artera
artera
October 10, 2019 4:23 am

[email protected]:/usr/src/freepbx# ./install -n
Assuming you are Database Root
Checking if SELinux is enabled…Its not (good)!
Reading /etc/asterisk/asterisk.conf…Done
Checking if Asterisk is running and we can talk to it as the ‘asterisk’ user…Yes. Determined Asterisk version to be: 16.6.0
Checking if NodeJS is installed and we can get a version from it…sh: 1: node: not found
NodeJS 8 or higher is not installed. This is now a requirement
[email protected]:/usr/src/freepbx# ip r
default via 172.25.150.3 d

watoan
watoan
Reply to  Admin
October 30, 2019 4:42 pm

I am getting this also, I followed the guide above and Asterisk already running with user asterisk
[email protected]:/usr/src/freepbx# ps aux|grep asterisk
root 4053 0.0 0.0 4628 1092 pts/0 S 00:32 0:00 /bin/sh /usr/sbin/safe_asterisk -U asterisk -G asterisk
asterisk 5990 0.0 0.0 2073580 4800 ? Sl 00:38 0:00 /usr/sbin/apache2 -k start
asterisk 5991 0.0 0.0 2073580 4800 ? Sl 00:38 0:00 /usr/sbin/apache2 -k start
root 6341 0.0 0.0 4628 1104 pts/0 S

aurel
aurel
April 6, 2020 9:05 am

Hey, Admin

./install -n
Assuming you are Database Root
Checking if SELinux is enabled…Its not (good)!
Reading /etc/asterisk/asterisk.conf…Done
Checking if Asterisk is running and we can talk to it as the ‘asterisk’ user…Yes. Determined Asterisk version to be: 16.9.0
Checking if NodeJS is installed and we can get a version from it…Yes. Determined NodeJS version to be: 8.10.0
Preliminary checks done. Starting FreePBX Installation

Please help me, Thank you !

annonnimouse
annonnimouse
April 22, 2020 9:03 pm

When i put:
sudo cat < /etc/odbcinst.ini
[MySQL]
Description = ODBC for MySQL (MariaDB)
Driver = /usr/local/lib/libmaodbc.so
FileUsage = 1
EOF

the command line response me with:
-bash: /etc/odbcinst.ini: Permission denied

Can you help me with that?

jylandry
April 23, 2020 10:23 pm

to enable Restore from a legacy system, you need to add this install:
sudo apt install php-sqlite3

jylandry
April 26, 2020 7:58 am

FreePBX Version 15 on Ubuntu 18.04. — Using the instruction on this page.

The only thing that did not work was the restore of a legacy backup of “raspbx” (IE: FreePBX version 14) I think.

faissal
faissal
June 17, 2020 11:31 pm

please tell me how to fix this ? [email protected]:/home/faycalserver# asterisk -rvvvvv
Unable to connect to remote asterisk (does /var/run/asterisk/asterisk.ctl exist?)
i followed ur tutorial with every letter. can u pls tell me whats the matter?

Recommended tutorial
OpenProject is an task management software. This is fully opensource.…
18
0
Would love your thoughts, please comment.x
()
x